Get refund
Fetch a specific refund by its unique identifier. This endpoint returns detailed information about the refund including its current status, amount, and associated transaction details.
transactions.read scope.Authorizations
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.
Headers
The ID of the merchant account to use for this request.
""default""Path Parameters
The unique identifier of the refund to retrieve.
"6a1d4e46-14ed-4fe1-a45f-eff4e025d211"Response
Successful Response
Resource type, always "refund".
"refund"Unique refund identifier.
"6a1d4e46-14ed-4fe1-a45f-eff4e025d211"The ID of the transaction being refunded.
"7099948d-7286-47e4-aad8-b68f7eb44591"Refund status. Values: processing (including pending or reconciliation states), succeeded, failed (including expired), or voided (canceled).
"processing""succeeded""failed""voided"ISO 4217 three-letter currency code.
"EUR""USD""GBP"Refund amount in the smallest currency unit.
"1299"Reason for the refund.
"Refund due to user request."External identifier for the refund.
"refund-12345"External identifier for the original transaction.
"transaction-12345"Creation time (ISO 8601).
"2013-07-16T19:23:00.000+00:00"curl --request GET \--url https://api.efundpay.com/v4/refunds/6a1d4e46-14ed-4fe1-a45f-eff4e025d211 \--header 'Authorization: Bearer <token>' \--header 'x-merchant-account-id: <x-merchant-account-id>' \
{"type": "refund","id": "6a1d4e46-14ed-4fe1-a45f-eff4e025d211","transaction_id": "7099948d-7286-47e4-aad8-b68f7eb44591","status": "succeeded","currency": "EUR","amount": 1299,"reason": "Refund due to user request.","external_identifier": "refund-12345","transaction_external_identifier": "transaction-12345","created_at": "2013-07-16T19:23:00.000+00:00"}